gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] branch master updated: cleaner exiting


From: gnunet
Subject: [taler-exchange] branch master updated: cleaner exiting
Date: Wed, 23 Aug 2023 22:01:19 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository exchange.

The following commit(s) were added to refs/heads/master by this push:
     new cadd58c4 cleaner exiting
cadd58c4 is described below

commit cadd58c4f66fb861f51f11c30c28217e4362a5d5
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Wed Aug 23 22:01:14 2023 +0200

    cleaner exiting
---
 src/auditor/setup.sh               |  2 +-
 src/testing/taler-unified-setup.sh | 13 +++++++++----
 2 files changed, 10 insertions(+), 5 deletions(-)

diff --git a/src/auditor/setup.sh b/src/auditor/setup.sh
index 87946b05..eb8a784e 100755
--- a/src/auditor/setup.sh
+++ b/src/auditor/setup.sh
@@ -17,7 +17,7 @@ function exit_cleanup()
     then
         echo "Killing taler-unified-setup ($SETUP_PID)" >&2
         kill -TERM "$SETUP_PID" 2> /dev/null || true
-        wait
+        wait "$SETUP_PID" 2> /dev/null || true
     fi
 }
 
diff --git a/src/testing/taler-unified-setup.sh 
b/src/testing/taler-unified-setup.sh
index bb77ae37..e57fbc30 100755
--- a/src/testing/taler-unified-setup.sh
+++ b/src/testing/taler-unified-setup.sh
@@ -29,16 +29,20 @@
 
 set -eu
 
+EXIT_STATUS=2
+
 # Exit, with status code "skip" (no 'real' failure)
 function exit_skip() {
     echo " SKIP: " "$@" >&2
-    exit 77
+    EXIT_STATUS=77
+    exit "$EXIT_STATUS"
 }
 
 # Exit, with error message (hard failure)
 function exit_fail() {
     echo " FAIL: " "$@" >&2
-    exit 1
+    EXIT_STATUS=1
+    exit "$EXIT_STATUS"
 }
 
 # Cleanup to run whenever we exit
@@ -52,6 +56,7 @@ function cleanup()
     done
     wait
     rm -f libeufin-nexus.pid libeufin-sandbox.pid
+    exit "$EXIT_STATUS"
 }
 
 # Install cleanup handler (except for kill -9)
@@ -803,5 +808,5 @@ else
 fi
 
 echo "Taler unified setup terminating!" >&2
-
-exit 0
+EXIT_STATUS=0
+exit "$EXIT_STATUS"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]